[+
do {
$req = shift;
$output .= "";
$pwd = $req->component->cwd;
use CGI;
$q = new CGI;
my $value = $q->param('id');
@filename= glob($pwd."/items/$value*");
open(DAT, $filename[0]);
@raw_data=<DAT>;
close(DAT);
$filename[0] =~ s/-/ /g;
$filename[0] =~ /items\/([0-9]{2})_(.*).html/;
$output .= "<h2>$2</h2>";
foreach $line(@raw_data) {
	$output .= "$line<br />";
}
$foo = $output;
}
+]
<br />
<a href='/news/' title='Volver al indice de noticias'>Indice de noticias</a>
